@import url('https://fonts.googleapis.com/css2?family=Lato:ital,wght@0,100;0,300;0,400;0,700;0,900;1,100;1,300;1,400;1,700;1,900&display=swap');

*{
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

body{
    background-color: #ffffff;
    height: 100vh;
    display: flex;
    align-items: center;
    justify-content: center;
    font-family: 'Lato', sans-serif;
}

.container{
    width: 320px;
    height: 568px;
    align-items: center;
    padding: 20px;
    /* border: 1px dashed violet; */
    display: flex;
    flex-direction: column;
    border-radius: 8px;
}

.circular-progress{
    width: 150px;
    height: 150px;
    /* border: 1px dashed violet; */
    position: relative;
    margin: 50px;
}

.progress-circle{
    transform: rotate(-90deg);
}

.background{
    fill: none;
    stroke: #eaf0f6;
    stroke-width: 10px;
}

.progress-bar{
    fill: none;
    stroke: #005cff;
    stroke-width: 10px;
    stroke-linecap: round;
    stroke-dashoffset: 283;
    stroke-dasharray: 283 283;
    transform-origin: center;
    transform-box: fill-box;
}

.progress-bar.animating{
    animation: rotate 3s linear infinite;
}

@keyframes rotate{
    from{transform: rotate(0deg);}
    to {transform: rotate(360deg);}
}

.hidden{
    visibility: hidden;
}

.panel{
    display: flex;
    flex-direction: column;
    width: 150;
    /* border: 1px dashed violet; */
}

.value, .animate, .hide{
    margin-top: 10px;
    display: inline-block;
}

.value{
    padding-left: 5px;
}

input[type=text] {
    border-radius: 18px;
    height: 25px;
    width: 40px;
    text-align: center;
    margin-right: 10px;
}

.value input:focus{
    outline: none;
    border-color: black;
}

.checkbox-input{
    opacity: 0;
    width: 0;
    height: 0;
}

.toggle{
    display: inline-block;
    position: relative;
    padding: 8px;
    padding-left: 55px;
}

.toggle::before{
    display: block;
    content: "";
    position: absolute;
    transform: translateY(-2px);
    left: 0;
    bottom: 0;
    height: 27px;
    width: 40px;
    background-color: #eaf0f6;
    border-radius: 18px;
    transition: background-color .3s;
}

.toggle::after{
    display: block;
    content: "";
    position: absolute;
    transform: translateY(-2px);
    height: 21px;
    width: 21px;
    background-color: #ffffff;
    border-radius: 18px;
    left: 2px;
    bottom: 3px;
    transition: .3s left;
}

.checkbox-input:checked + .toggle::before{
    background-color: #005cff;
}

.checkbox-input:checked + .toggle::after{
    left: 16px;
}


@media (orientation: landscape) {
    .container{
        width: 568px;
        height: 320px;
        flex-direction: row;
        justify-content: space-around;
    }

}
